<?php
if ( post_password_required() ) {
    return;
}



function themeton_custom_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;

    if ( 'div' == $args['style'] ) {
        $tag = 'div';
        $add_below = 'comment';
    } else {
        $tag = 'li';
        $add_below = 'div-comment';
    }

    switch ( $comment->comment_type ) :
        case 'pingback' :
        case 'trackback' :
    ?>
    <<?php echo esc_attr($tag); ?> class="post pingback">
        <p><?php _e( 'Pingback:', 'themeton' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'themeton' ), '<span class="edit-link">', '</span>' ); ?></p>
    <?php
            break;
        default:
    ?>

    <<?php echo esc_attr($tag); ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">

    <div class="media comment">
        <div class="media-left"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>"><?php echo get_avatar( $comment, 83 ); ?></a></div>
        <div class="media-body">
            <div class="row m0">
                <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>" class="author_name fleft">
                <?php echo get_comment_author_link( ); ?>
                </a>
                <span style="margin-left: 20px;" class="reply fright"><?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>
                <a href="<?php comment_reply_link(); ?>" class="date fright"><?php printf( __('%1$s at %2$s', 'themeton'), get_comment_date(),  get_comment_time() ); ?></a>
            </div>
            <p><?php comment_text(); ?></p>
        </div>
    </div>
<?php
            break;
    endswitch;
}




?>

<div class="row m0 comments" id="comments">

    <?php if ( have_comments() ) : ?>
        <h4 class="comment_count">
            <?php
                printf( _nx( 'One comment', 'COMMENTS (%1$s)', get_comments_number(), 'comment', 'themeton' ),
                    number_format_i18n( get_comments_number() ), get_the_title() );
            ?>
        </h4>

        <?php tt_theme_comment_nav(); ?>

        <ol class="media-list comment-list">
            <?php
                wp_list_comments( array(
                    'style'       => 'ol',
                    'short_ping'  => true,
                    'avatar_size' => 56,
                    'callback'    => 'themeton_custom_comment'
                ) );
            ?>
        </ol><!-- .comment-list -->

        <?php tt_theme_comment_nav(); ?>

    <?php endif; // have_comments() ?>

    <?php
        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
        <p class="no-comments"><?php _e( 'Comments are closed.', 'themeton' ); ?></p>
    <?php endif; ?>

    <?php
        $req = get_option( 'require_name_email' );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        comment_form(
            array(
                'comment_notes_after' => '',
                'class_submit' => 'form-control submit_btn',
                'fields' => array(
                    'author' => '<div class="col-sm-6">
                                    <div class="row m0">
                                        <label for="author">' . __( 'Name', 'themeton' ) . '</label>
                                        <input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                                        '" size="30"' . $aria_req . ' class="form-control" />
                                    </div>',

                    'email' => '<div class="row m0">
                                    <label for="email">' . __( 'Email', 'themeton' ) . '</label> 
                                    <input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                                    '" size="30"' . $aria_req . ' class="form-control" />
                                </div>',

                    'url' => '<div class="row m0">
                                    <label for="url">' . __( 'Website', 'themeton' ) . '</label>
                                    <input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
                                    '" size="30" class="form-control" />
                                </div>',
                ),
                'comment_field' => (is_user_logged_in() ? '' : '</div>' ) . '
                                    <div class="col-sm-'.(is_user_logged_in() ? '12' : '6').'">
                                        <div class="row m0">
                                            <label for="comment">' . __( 'Message', 'themeton' ) . '</label>
                                            <textarea id="comment" name="comment" cols="50" rows="6" tabindex="4" class="form-control" aria-required="true"></textarea>
                                        </div>
                                    </div>'
            )
        );
    ?>

</div><!-- .comments-area -->