<?php



// change default settings for default gallery
add_action( 'after_setup_theme', 'stride_attachment_display_settings' );
function stride_attachment_display_settings() {
    update_option( 'image_default_link_type', 'file' );
}


// Print global js variables
add_action('wp_head', 'print_theme_wp_head');
function print_theme_wp_head(){
    echo '<script>
                var theme_options = { ajax_url: "'.admin_url( 'admin-ajax.php' ).'" };
          </script>';
}


// Print custom styles
add_action('wp_head', 'print_theme_styles', 1024);
function print_theme_styles(){
    global $post;
    
    $custom_css = TT::get_mod('custom_css');
    $custom_css .= TT::get_mod('custom_css_tablet') != '' ?    '@media (min-width: 768px) and (max-width: 985px) { ' . TT::get_mod('custom_css_tablet') . ' }' : '';
    $custom_css .= TT::get_mod('custom_css_widephone') != '' ? '@media (min-width: 481px) and (max-width: 767px) { ' . TT::get_mod('custom_css_widephone') . ' }' : '';
    $custom_css .= TT::get_mod('custom_css_phone') != '' ?     '@media (max-width: 480px) { '                        . TT::get_mod('custom_css_phone') . ' }' : '';


    $page_cover = '';
    $page_cover_alpha = '';
    $page_title_top = TT::get_mod('page_title_top');
    $page_title_bottom = TT::get_mod('page_title_bottom');
    $page_title_bg_color = TT::get_mod('page_title_bg_color');
    $page_title_alpha = TT::get_mod('page_title_alpha');
    $page_title_bg_image = TT::get_option_bg_value('page_title_image');
    $page_title_alpha = TT::get_mod('page_title_alpha');
    $footer_bg = TT::get_option_bg_value('footer_background_image');

    // Page Options
    if ( is_a( $post , 'WP_Post' ) ){
        $post_type = get_post_type($post->ID);
        if( $post_type=='page' ){
            $meta_title_bg = TT::get_meta_bg_value('title_bg');
            if( !empty($meta_title_bg) ){
                $page_title_bg_image = $meta_title_bg;
            }
            $title_top = TT::getmeta('title_padding_top');
            $title_bottom = TT::getmeta('title_padding_bottom');
            $title_bg_color = TT::getmeta('title_bg_color');
            $title_bg_alpha = TT::getmeta('title_bg_alpha');

            $page_title_top = !empty($title_top) && (int)$title_top>0 ? $title_top : $page_title_top;
            $page_title_bottom = !empty($title_bottom) && (int)$title_bottom>0 ? $title_bottom : $page_title_bottom;
            $page_title_bg_color = !empty($title_bg_color) ? $title_bg_color : $page_title_bg_color;
            $page_title_alpha = !empty($title_bg_alpha) ? $title_bg_alpha : $page_title_alpha;
        }
    }

    
    if( !empty($page_title_top) && (int)$page_title_top>0 ){
        $page_cover .= "padding-top: ".((int)$page_title_top)."px;";
    }
    if( !empty($page_title_bottom) && (int)$page_title_bottom>0 ){
        $page_cover .= "padding-bottom: ".((int)$page_title_bottom)."px;";
    }
    if( !empty($page_title_bg_color) ){
        $page_title_bg_color = TT::hex2rgba($page_title_bg_color, abs($page_title_alpha));
        $page_cover .= "background-color: $page_title_bg_color;";
    }
    if( !empty($page_title_alpha) ){
        $page_cover_alpha = ".pageCover::before{ visibility:visible; opacity:$page_title_alpha; }";
    }

    

    if( !empty($page_title_bg_image) ){
        $page_cover .= $page_title_bg_image;
    }

    echo "<style type='text/css' id='theme-customize-css'>
            .pageCover{ $page_cover }
            $page_cover_alpha
            $custom_css
            footer .top_footer{ $footer_bg }
        </style>";
        
}





/*
                                                                    
 _____ _                 _              _____ _                     
|_   _| |_ ___ _____ ___| |_ ___ ___   |     | |___ ___ ___ ___ ___ 
  | | |   | -_|     | -_|  _| . |   |  |   --| | .'|_ -|_ -| -_|_ -|
  |_| |_|_|___|_|_|_|___|_| |___|_|_|  |_____|_|__,|___|___|___|___|
  
*/

// Less Compiler
require_once TT::file_require(get_template_directory() . '/framework/classes/class.less.php');

// Meta fields for Posts
require_once TT::file_require(get_template_directory() . '/framework/classes/class.render.meta.php');
require_once TT::file_require(get_template_directory() . '/framework/classes/class.meta.post.php');
require_once TT::file_require(get_template_directory() . '/framework/classes/class.meta.page.php');
require_once TT::file_require(get_template_directory() . '/framework/classes/class.meta.portfolio.php');

// WP Customizer
require_once TT::file_require(get_template_directory() . '/framework/classes/class.wp.customize.controls.php');
require_once TT::file_require(get_template_directory() . '/framework/classes/class.wp.customize.php');

// Import functions
require_once TT::file_require(get_template_directory() . '/framework/functions/functions.for.theme.php');
require_once TT::file_require(get_template_directory() . '/framework/functions/functions.breadcrumb.php');

// Import Demo Data
require_once TT::file_require(get_template_directory() . '/framework/classes/class.import.data.php');




// Import Widgets
require_once TT::file_require(get_template_directory() . '/includes/widgets/init_widget.php');

// Customizer
require_once TT::file_require(get_stylesheet_directory() . '/includes/customizer.php');
// TGM Plugin Activation
require_once TT::file_require(get_stylesheet_directory() . '/includes/plugins.php');

// Quick Load Element for VC
require_once TT::file_require(get_stylesheet_directory() . '/includes/custom_meta.php');
require_once TT::file_require(get_stylesheet_directory() . '/includes/ExtendVCRow.php');

// Import Template tags
require_once TT::file_require(get_template_directory() . '/includes/template-tags.php');

// Woocommerce
require_once TT::file_require(get_template_directory() . '/includes/tt-woo.php');




// Import VC Custom Elements
if( function_exists('vc_map') ){
    $file_dir = TT::file_require( get_stylesheet_directory().'/includes/vc-elements/' );
    foreach( glob( $file_dir . '*.php' ) as $filename ) {
        require_once $filename;
    }
}


?>