<?php

class WPBakeryShortCode_Tt_Blog_Posts extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'count' => '3',
            'button_link' => '#!',
            'button_text' => 'View All Posts',
            'categories' => '',
            'extra_class' => ''
        ), $atts));

        $cats = array();
        if( !empty($categories) ){
            $exps = explode(",", $categories);
            foreach($exps as $val){
                if( (int)$val>-1 ){
                    $cats[]=(int)$val;
                }
            }
        }

        $args = array(
                        'post_type' => 'post',
                        'posts_per_page' => $count,
                        'ignore_sticky_posts' => true
                    );
        if(!empty($cats)){
            $args['category__in'] = $cats;
        }

        $items = '';
        $posts_query = new WP_Query($args);
        while ( $posts_query->have_posts() ) {
            $posts_query->the_post();

            $img = '';
            if( has_post_thumbnail() ){
                $img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'blog-thumb' );
                $img = !empty($img) ? $img[0] : '';
            }

            $postclass = implode(' ',get_post_class());
            $items .= "<div class='col-sm-4 blog latest_blog'>
                    <div class='row m0'>
                        <div class='row m0 image'>
                            ".get_the_post_thumbnail( get_the_ID(), 'blog-thumb')."
                        </div>
                        <div class='media'>
                            <div class='media-left post_cat'>
                                <a href='#'><img src='".get_template_directory_uri()."/images/icons/blog/4.png' alt=''></a>
                            </div>
                            <div class='media-body'>
                                <div class='row m0 post_meta'>
                                    <div class='row m0 date'><a href='".get_permalink()."'>".get_the_time('F d / Y')."</a></div>
                                    <div class='row m0 author'> ". __('Posted by','themeton') ." <a href='#'>".get_the_author()."</a></div>
                                </div>
                                <a href='".get_permalink()."' class='post_title'>
                                    <h5>".get_the_title()."</h5>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>";
}

        // reset query
        wp_reset_postdata();
        
        return "<div class='latest_blogs'>
                    <div class='row'>
                        $items
                    </div>
                    <div class='row'>
                        <a href='$button_link' class='view_all'>$button_text</a>
                    </div>
                </div>";
    }
}

vc_map( array(
    "name" => __( 'Blog Posts', 'themeton' ),
    "description" => __("Only post type: post", 'themeton'),
    "base" => 'tt_blog_posts',
    "icon" => "icon-wpb-themeton",
    "content_element" => true,
    "category" => __('Themeton', 'themeton'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "count",
            "heading" => __("Posts Count", 'themeton'),
            "value" => '3'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "categories",
            "heading" => __("Categories", 'themeton'),
            "description" => __("Specify category Id or leave blank to display items from all categories.", 'themeton'),
            "value" => ''
        ),
        array(
            "type" => 'textfield',
            "param_name" => "button_text",
            "heading" => __("Button text", 'themeton'),
            "value" => 'View All Post'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "button_link",
            "heading" => __("Button link", 'themeton'),
            "value" => '#!'
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    )
));