<?php


class WPBakeryShortCode_Clients extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'title' => "Our clients",
            'subtitle' => "Eaque ipsa quae ab illo inventore veritati quasi.",
            'extra_class' => ""
        ), $atts));

        $result = '<div class="our_clients '.$extra_class.'">
            <div class="container">
                <div class="row">
                    <div class="col-sm-3">
                        <div class="row m0">
                            <h2>'.$title.'</h2>
                            <p>'.$subtitle.'</p>
                        </div>
                    </div>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="owl-carousel clients_carousel">
                                '.do_shortcode($content).'
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>';

        return $result;
    }
}


vc_map( array(
    "name" => __("Clients", "themeton"),
    "description" => __("Our Clients", 'themeton'),
    "show_settings_on_create" => true,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "clients_item"),
    "base" => "clients",
    "icon" => "icon-wpb-themeton",
    "category" => __('Themeton', 'themeton'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "title",
            "heading" => __("Title", 'themeton'),
            "value" => "Our Clients"
        ),
        array(
            "type" => "textfield",
            "param_name" => "subtitle",
            "heading" => __("Sub Title", 'themeton'),
            "value" => "Eaque ipsa quae ab illo inventore veritati quasi."
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    ),
    "js_view" => 'VcColumnView'
));