<?php

class WPBakeryShortCode_Feature_box extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "icon_type" => "",
            "image" => "",
            "icon" => "",
            "title" => 'YOUR REVENUE GOALS',
            "description_type" => "",
            "description" => '',
            "button_text" => '',
            "button_link"     => "",
            'extra_class' => ''
        ), $atts ) );

        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : wp_get_attachment_image($image);

        if($description_type == 'yes_des') {
            $result = "<div class='feature_cols $extra_class'>
                    <div class='media feature_col'>
                        <div class='media-left'><a href='$button_link'>$image_src</a></div>
                        <div class='media-body'>
                            <h5>$title</h5>
                            <p>$description</p>
                            <a href='$button_link' class='learn_more'>$button_text</a>
                        </div>
                    </div>
                </div>";
            }else {
                $result = "<div class='sv_subjects'><div class='media'>
                   <div class='media-left'><span>$image_src</span></div>
                   <div class='media-body media-middle'>$title</div>
               </div></div>";
            }

        

        return $result;
    }
}

vc_map( array(
            "name" => __("Feature Box", 'themeton'),
            "description" => __("", 'themeton'),
            "base" => "feature_box",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "title",
                    "heading" => __("Title", 'themeton'),
                    "value" => 'YOUR REVENUE GOALS',
                    "holder" => "div"
                ),
                array(
                    'type' => 'dropdown',
                    "param_name" => "icon_type",
                    "heading" => __("Icon Type", 'themeton'),
                    "value" => array(
                        "Icon font" => "icon_font",
                        "Icon image" => "icon_image"
                    ),
                    "std" => "icon_font",
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => __("Image Image", 'themeton'),
                    "value" => '',
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
                ),
                array(
                    'type' => 'iconpicker',
                    "param_name" => "icon",
                    "heading" => __("Icon", 'themeton'),
                    "description" => "",
                    'value' => 'fa fa-adjust', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    "std" => "mdi-action-account-box",
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
                ),
                array(
                    'type' => 'dropdown',
                    "param_name" => "description_type",
                    "heading" => __("Show Description?", 'themeton'),
                    "value" => array(
                        "Yes" => "yes_des",
                        "No" => "no_des"
                    ),
                    "std" => "yes_des",
                ),
                array(
                    'type' => 'textarea',
                    "param_name" => "description",
                    "heading" => __("Description", 'themeton'),
                    "value" => 'Abore et dolore magna aliqua enim daga minim veniam quis nostrud.',
                    "dependency" => Array("element" => "description_type", "value" => array("yes_des"))
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_text",
                    "heading" => __("Button Text", 'themeton'),
                    "value" => 'Learn More',
                    "dependency" => Array("element" => "description_type", "value" => array("yes_des"))
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "button_link",
                    "heading" => __("Button Link", 'themeton'),
                    "value" => '#!',
                    "dependency" => Array("element" => "description_type", "value" => array("yes_des"))
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );