<?php

class WPBakeryShortCode_Tt_Portfolio extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'count' => '4',
            'filter' => 'no',
            'categories' => ''
        ), $atts));


        // build category ids
        $cats = array();
        if( !empty($categories) ){
            $exps = explode(",", $categories);
            foreach($exps as $val){
                if( (int)$val>-1 ){
                    $cats[]=(int)$val;
                }
            }
        }


        // build query
        $args = array(
                        'post_type' => 'portfolio',
                        'posts_per_page' => $count,
                        'ignore_sticky_posts' => true
                    );
        if(!empty($cats)){
            $args['tax_query'] = array(
                                    'relation' => 'IN',
                                    array(
                                        'taxonomy' => 'portfolio_entries',
                                        'field' => 'id',
                                        'terms' => $cats
                                    )
                                );
        }

        
        $filter_html = '';
        $cat_array = array();
        $items = '';
        $encoded_args = base64_encode( serialize($args) );

        $posts_query = new WP_Query($args);
        while ( $posts_query->have_posts() ) {
            $posts_query->the_post();

            $img = '';
            $img_full = '';
            if( has_post_thumbnail() ){
                $img_size = 'folio-thumb';

                $img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), $img_size );
                $img = !empty($img) ? $img[0] : '';
            }


            $cats = '';
            $cat_titles = array();
            $terms = wp_get_post_terms(get_the_ID(), 'portfolio_entries');
            foreach ($terms as $term){
                $cat_title = $term->name;
                $cat_slug = $term->slug;

                $cat_titles []= $cat_title;
                if( $filter=='yes' && !in_array($term->term_id, $cat_array) ){
                    $filter_html .= '<li data-filter=".ftr-'.$cat_slug.'">'.$cat_title.'</li>';
                    $cat_array[] = $term->term_id;
                }

                $cats .= "ftr-$cat_slug ";
            }

            $items .= '<div class="case col-xs-12 col-sm-6 col-md-3 '. $cats .'">
                            <a href="'. get_permalink() .'" class="img_link"><img src="'. $img .'" alt="'. esc_attr(get_the_title()) .'" class="img-responsive"></a>
                            <a href="'. get_permalink() .'" class="text_link">View details <i class="fa fa-angle-right"></i></a>
                        </div>';
        }
        // reset query
        wp_reset_postdata();

        if( $filter=='yes' ){
            $filter_html = '<div class="row">
                                <ul id="filters" class="list-inline portfolio-filter">
                                    <li data-filter="*" class="active">'.__('All', 'themeton').'</li>
                                    '.$filter_html.'
                                </ul>
                            </div>';
        }


        return '<div class="portfolio-element">
                    '. $filter_html .'
                    <div class="row caseStdudies" id="caseStdudies">'. $items .'</div>
                </div>';

    }
}

vc_map( array(
    "name" => __( 'Portfolio', 'themeton' ),
    "description" => __("post type: portfolio", 'themeton'),
    "base" => 'tt_portfolio',
    "icon" => "icon-wpb-themeton",
    "content_element" => true,
    "category" => __('Themeton', 'themeton'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "count",
            "heading" => __("Posts per page", 'themeton'),
            "value" => '4'
        ),
        array(
            "type" => "dropdown",
            "param_name" => "filter",
            "heading" => __("Show Filter", 'themeton'),
            "value" => array(
                "No" => "no",
                "Yes" => "yes"
            ),
            "std" => "no"
        ),
        array(
            "type" => 'textfield',
            "param_name" => "categories",
            "heading" => __("Categories", 'themeton'),
            "description" => __("Specify category Id or leave blank to display items from all categories.", 'themeton'),
            "value" => ''
        )
    )
));
