<?php

class WPBakeryShortCode_Process_Item extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'icon_type' => 'icon',
            'icon' => 'fa fa-smile-o',
            'image' => '',
            'title' => '1. PEOPLE',
            'description' => 'Smart Ideas Steady Growth',
            'extra_class' => ''
        ), $atts));

        $icon_markup = wp_get_attachment_image($image, 'process-thumb');
        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : $icon_markup;
            
            $result = "<div class='fleft process'>
                        <div class='dot_circle row m0'>
                            <div class='icon_circle row m0'>
                                $image_src
                                <div class='row m0 hover_texts'>$description</div>
                            </div>
                        </div>
                        <div class='row m0'>
                            $title
                        </div>
                    </div>";
        
        return $result;
    }
}

vc_map( array(
    "name" => __( 'Process Item', 'themeton' ),
    "description" => __("Process Item", 'themeton'),
    "base" => 'process_item',
    "icon" => "icon-wpb-themeton",
    "content_element" => true,
    "as_child" => array("only" => "process"),
    "category" => __('Themeton', 'themeton'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "title",
            "heading" => __("Title", 'themeton'),
            "value" => '1. PEOPLE',
            "holder" => 'div'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "description",
            "heading" => __("Description", 'themeton'),
            "value" => 'Smart Ideas Steady Growth'
        ),
        array(
            'type' => 'dropdown',
            "param_name" => "icon_type",
            "heading" => __("Icon Type", 'themeton'),
            "value" => array(
                "Icon font" => "icon_font",
                "Icon image" => "icon_image"
            ),
            "std" => "icon_font",
        ),
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => __("Image Image", 'themeton'),
            "value" => '',
            "dependency" => Array("element" => "icon_type", "value" => array("icon_image")),
            "desc" => 'Please prepare your image size because bigger images inappropriate.'
        ),
        array(
            'type' => 'iconpicker',
            "param_name" => "icon",
            "heading" => __("Icon", 'themeton'),
            "description" => "",
            "value" => '',
            'std' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            "std" => "fa fa-adjust",
            "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'vc_extend'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
        )
    )
));