<?php

class WPBakeryShortCode_Testimonial extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "image" => "",
            "name" => "uro Navanth",
            "position" => "CEO of Clascio",
            "description" => "Laudantium, totam rem aperi, eaque ipsa quaea ab illo invente veritatis et quasi architecto sach beatae vitae dicta sunt explicab.",
            "review" => 4,
            "extra_class" => ""
        ), $atts ) );

        $image = wp_get_attachment_image($image, 'testimonial-thumb');

        $stars = '';
        for($i = 1; $i<=5; $i++) {
            if( (int)$review >= $i) {
                $stars .= "<i class='fa fa-star-o starred'></i>";
            } else {
                $stars .= "<i class='fa fa-star-o'></i>";
            }
        }

        $result = "<div class='testimonial'>
                        <div class='media'>
                            <div class='media-left'>
                                <a href='#'>$image</a>
                            </div>
                            <div class='media-body'>
                                <div class='inner row m0'>
                                    <div class='blockquote'>$description</div>
                                    <div class='row m0 review'>
                                        $stars
                                    </div>
                                    <div class='row m0 identity'>$name <span class='pos'>($position)</span></div>
                                </div>
                            </div>
                        </div>
                    </div>";

        return $result;
    }
}

vc_map( array(
            "name" => __("Testimonial", 'themeton'),
            "description" => __("Testimonials", 'themeton'),
            "base" => "testimonial",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => __('Themeton', 'themeton'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'textfield',
                    "param_name" => "name",
                    "heading" => __("Name", 'themeton'),
                    "value" => 'Auro Navanth',
                    "holder" => "div"
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "position",
                    "heading" => __("Position", 'themeton'),
                    "value" => 'CEO of Clascio',
                    "holder" => "div"
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => __("Image", 'themeton'),
                    "value" => '',
                    "desc" => 'Please prepare your image size because bigger images inappropriate.'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "description",
                    "heading" => __("Content", 'themeton'),
                    "value" => 'Laudantium, totam rem aperi, eaque ipsa quaea ab illo invente veritatis et quasi architecto sach beatae vitae dicta sunt explicab.'
                ),
                array(
                    'type' => 'dropdown',
                    "param_name" => "review",
                    "heading" => __("Review", 'themeton'),
                    "value" => array(
                        "One Star" => "1",
                        "Two Star" => "2",
                        "Three Star" => "3",
                        "Four Star" => "4",
                        "Five Star" => "5",
                    ),
                    "std" => "five",
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => __("Extra Class", 'vc_extend'),
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'vc_extend'),
                )
            )
        ) );