(function($) {
    "use strict";


    $('#mainMenu').find(' >ul > li').each(function(){
        if( $(this).find('ul').length ){
            $(this).addClass('dropdown');
            $(this).find('ul').addClass('dropdown-menu');
        }
    });
    $('#mainMenu').removeClass('building-menu');


    // VC Row Overlay
    $('div[data-overlay]').each(function(){
        var $row = $(this);
        var $overlay = $('<div class="vc-row-overlay" style="background-color:'+$row.data('overlay')+'; opacity:'+$row.data('overlay-alpha')+';"></div>');
        $row.prepend( $overlay );
    });


    // Comment
    if( $('.comment-reply-title').length ){
        $('.comment-reply-title').attr('class', 'comment_leave_title page_title');
    }
    if( $('#commentform').length ){
        $('#commentform').addClass('row');
        $('#commentform').find('>p').each(function(){
            $(this).addClass('col-md-12');
        });
    }
    
    // Portfolio
    if( $('.package-single').length ){
        var $rate = $('.package-single').find('.woocommerce-product-rating').clone();
        $('.package-single').find('.woocommerce-product-rating').hide();
        $('.package-single').find('div[itemprop="description"]').after( $rate );
    }


    // Accordion
    $('.wpb_accordion').each(function(){
        var $acc = $(this);

        $acc.find('.wpb_accordion_section').each(function(){
            var $group = $(this);
            var icon_type = $group.data('icon-type');
            var icon = $group.data('icon');
            var image = $group.data('image');
            var $icon = $('<span class="icon"></span>');

            if( icon_type=='icon' ){
                $icon.append('<i class="'+icon+'"></i>');
            }
            else if( icon_type=='icon' ){
                $icon.append('<img src="'+image+'" alt="">');
            }

            $group.find('.wpb_accordion_header a').prepend( $icon );
        });
    });

    
    $(document).ready(function(){
        
        /*----------------------------------------------------*/
        /*  Slider Preloader
        /*----------------------------------------------------*/
        $(".preloader").delay(700).fadeOut();


        /*----------------------------------------------------*/
        /*  Count Up
        /*----------------------------------------------------*/
        $('.counter').counterUp({
            delay: 15,
            time: 1500
        });

        /*----------------------------------------------------*/
        /*  Owl Carousels
        /*----------------------------------------------------*/        
        $('.offer_service_carousel').owlCarousel({
            loop:true,
            margin:0,
            nav:false,
            items:1
        });
        
        $('.clients_carousel').owlCarousel({
            loop:true,
            responsiveClass:true,
            dots:false,
            nav:true,
            navText:['<i class="fa fa-angle-right"></i>','<i class="fa fa-angle-left"></i>'],
            responsive:{
                0:{
                    items:2,
                    nav:true
                },
                500:{
                    items:3,
                    nav:true
                },
                992:{
                    items:4,
                    nav:false
                },
                1200:{
                    items:4,
                    nav:true,
                    loop:false
                }
            }
        });
        
        /*----------------------------------------------------*/
        /*  Tweets
        /*----------------------------------------------------*/    
        $('.tweet_slider').flexslider({
            animation: "fade",
            directionNav: false
        })
        
    })



    $(window).load(function(){

        $('.portfolio-element').each(function(){
            var $folio = $(this);
            var $masonry = $folio.find('.caseStdudies');

            $masonry.isotope({
                // options
                itemSelector: '.case',
                layoutMode: 'masonry'
            });

            $folio.find('.portfolio-filter li').on( 'click', function() {
                $folio.find('.portfolio-filter').find('.active').removeClass('active');
                $(this).addClass('active');
                var $filterValue = $(this).attr('data-filter');
                $masonry.isotope({ filter: $filterValue });
            });


        });

    });
    
})(jQuery)

